--- lib/matplotlib/figure.py	2013-08-09 16:12:02.000000000 +0200
+++ /usr/lib64/python2.7/site-packages/matplotlib/figure.py	2013-08-09 16:02:46.000000000 +0200
@@ -945,16 +945,11 @@
         if self.frameon: self.patch.draw(renderer)
 
         # a list of (zorder, func_to_call, list_of_args)
-        dsu = []
+        dsu = [(x.get_zorder(), x, x.draw, [renderer]) for x in self.patches ]
 
-        for a in self.patches:
-            dsu.append( (a.get_zorder(), a, a.draw, [renderer]))
-
-        for a in self.lines:
-            dsu.append( (a.get_zorder(), a, a.draw, [renderer]))
+        dsu.extend((x.get_zorder(), x, x.draw, [renderer]) for x in self.lines)
 
-        for a in self.artists:
-            dsu.append( (a.get_zorder(), a, a.draw, [renderer]))
+	dsu.extend((x.get_zorder(), x, x.draw, [renderer]) for x in self.artists)
 
         # override the renderer default if self.suppressComposite
         # is not None
@@ -990,15 +985,12 @@
             dsu.append((self.images[0].get_zorder(), self.images[0], draw_composite, []))
 
         # render the axes
-        for a in self.axes:
-            dsu.append( (a.get_zorder(), a, a.draw, [renderer]))
+	dsu.extend((x.get_zorder(), x, x.draw, [renderer]) for x in self.axes)
 
         # render the figure text
-        for a in self.texts:
-            dsu.append( (a.get_zorder(), a, a.draw, [renderer]))
+	dsu.extend((x.get_zorder(), x, x.draw, [renderer]) for x in self.texts)
 
-        for a in self.legends:
-            dsu.append( (a.get_zorder(), a, a.draw, [renderer]))
+        dsu.extend((x.get_zorder(), x, x.draw, [renderer]) for x in self.legends)
 
         dsu = [row for row in dsu if not row[1].get_animated()]
         dsu.sort(key=itemgetter(0))
